﻿using System;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;


using System.Configuration;
using System.Data.SqlClient;
using System.Collections.Generic;
using Microsoft.AspNetCore.Mvc.Rendering;
using Microsoft.AspNetCore.Http;

namespace CheckBoxList_MVC_Core
{
    public class HomeController : Controller
    {
        // GET: Home
        public IActionResult Index()
        {
            List<SelectListItem> items = PopulateFruits();
            return View(items);
        }

        [HttpPost]
        public IActionResult Index(string[] fruit)
        {
            ViewBag.Message = "Selected Items:\\n";
            List<SelectListItem> items = PopulateFruits();
            foreach (SelectListItem item in items)
            {
                if (fruit.Contains(item.Value))
                {
                    item.Selected = true;
                    ViewBag.Message += string.Format("{0}\\n", item.Text);
                }
            }

            return View(items);
        }

        private static List<SelectListItem> PopulateFruits()
        {
            string constr = @"Data Source=.\SQL2019;Initial Catalog=AjaxSamples;Integrated Security=true";
            List<SelectListItem> items = new List<SelectListItem>();
            using (SqlConnection con = new SqlConnection(constr))
            {
                string query = " SELECT FruitName, FruitId FROM Fruits";
                using (SqlCommand cmd = new SqlCommand(query))
                {
                    cmd.Connection = con;
                    con.Open();
                    using (SqlDataReader sdr = cmd.ExecuteReader())
                    {
                        while (sdr.Read())
                        {
                            items.Add(new SelectListItem
                            {
                                Text = sdr["FruitName"].ToString(),
                                Value = sdr["FruitId"].ToString()
                            });
                        }
                    }
                    con.Close();
                }
            }
            return items;
        }
    }
}